Run shellcheck (bootstrap.sh)

This commit is contained in:
Santiago Lo Coco 2022-01-14 00:54:20 -03:00
parent c82fadbd6b
commit 9a158cdfec
1 changed files with 6 additions and 5 deletions

View File

@ -87,11 +87,11 @@ checkForDependencies() {
comm=$1 comm=$1
fi fi
command -v ${comm} &> /dev/null command -v "${comm}" &> /dev/null
if [ $? -eq 1 ]; then if [ $? -eq 1 ]; then
unameOutput=$(uname -a | grep "arch") unameOutput=$(uname -a | grep "arch")
if [ -f "/etc/arch-release" ] || [ $unameOutput -eq 0 ]; then if [ -f "/etc/arch-release" ] || [ "$unameOutput" -eq 0 ]; then
sudo pacman --noconfirm --needed -Sy ${1} 2>&1 | debug sudo pacman --noconfirm --needed -Sy "${1}" 2>&1 | debug
if [ $? -eq 1 ]; then if [ $? -eq 1 ]; then
echo "Couldn't install ${1}." >&2 echo "Couldn't install ${1}." >&2
exit 1 exit 1
@ -116,7 +116,8 @@ startRice() {
runScript() { runScript() {
lastFolder=$(pwd -P) lastFolder=$(pwd -P)
cocoRiceFolder=$(pwd -P | awk '{ sub(/CocoRice.*/, "CocoRice"); print }') cocoRiceFolder=$(pwd -P | awk '{ sub(/CocoRice.*/, "CocoRice"); print }')
cd $cocoRiceFolder cocoRiceFolder=marta
cd $cocoRiceFolder || echo "Couldn't cd into '$cocoRiceFolder'." 1>&2 && exit 1
source scripts/common.sh source scripts/common.sh
checkParameters "$@" checkParameters "$@"
@ -126,7 +127,7 @@ runScript() {
startRice startRice
clear clear
cd $lastFolder cd $lastFolder || echo "Couldn't cd into '$lastFolder'." 1>&2 && exit 1
} }
runScript "$@" runScript "$@"